[tool.poetry]
name = "unsub"
version = "0.1.0"
description = "unsubscribe from email lists"
authors = ["Clay Risser <clayrisser@gmail.com>"]
license = "MIT"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
mailbox = "^0.4"
beautifulsoup4 = "^4.12.3"
tqdm = "^4.66.2"

[tool.poetry.group.dev.dependencies]
black = "^24.2.0"
mypy = "^1.8.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
